Firewall Policies - Create Or Update

Creates or updates the specified Firewall Policy.

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/firewallPolicies/{firewallPolicyName}?api-version=2025-07-01

URI Parameters

Name In Required Type Description
firewallPolicyName
path True

string

The name of the Firewall Policy.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Body

Name Type Description
id

string

Resource ID.

identity

ManagedServiceIdentity

The identity of the firewall policy.

location

string

Resource location.

properties.basePolicy

SubResource

The parent firewall policy from which rules are inherited.

properties.dnsSettings

DnsSettings

DNS Proxy Settings definition.

properties.explicitProxy

ExplicitProxy

Explicit Proxy Settings definition.

properties.insights

FirewallPolicyInsights

Insights on Firewall Policy.

properties.intrusionDetection

FirewallPolicyIntrusionDetection

The configuration for Intrusion detection.

properties.sku

FirewallPolicySku

The Firewall Policy SKU.

properties.snat

FirewallPolicySNAT

The private IP addresses/IP ranges to which traffic will not be SNAT.

properties.sql

FirewallPolicySQL

SQL Settings definition.

properties.threatIntelMode

AzureFirewallThreatIntelMode

The operation mode for Threat Intelligence.

properties.threatIntelWhitelist

FirewallPolicyThreatIntelWhitelist

ThreatIntel Whitelist for Firewall Policy.

properties.transportSecurity

FirewallPolicyTransportSecurity

TLS Configuration definition.

tags

object

Resource tags.

Responses

Name Type Description
200 OK

FirewallPolicy

Resource 'FirewallPolicy' update operation succeeded

201 Created

FirewallPolicy

Resource 'FirewallPolicy' create operation succeeded

Headers

  • Azure-AsyncOperation: string
  • Retry-After: integer
Other Status Codes

CloudError

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Create FirewallPolicy

Sample request

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/firewallPolicies/firewallPolicy?api-version=2025-07-01

{
  "location": "West US",
  "properties": {
    "dnsSettings": {
      "enableProxy": true,
      "requireProxyForNetworkRules": false,
      "servers": [
        "30.3.4.5"
      ]
    },
    "explicitProxy": {
      "enableExplicitProxy": true,
      "enablePacFile": true,
      "httpPort": 8087,
      "httpsPort": 8087,
      "pacFile": "https://tinawstorage.file.core.windows.net/?sv=2020-02-10&ss=bfqt&srt=sco&sp=rwdlacuptfx&se=2021-06-04T07:01:12Z&st=2021-06-03T23:01:12Z&sip=68.65.171.11&spr=https&sig=Plsa0RRVpGbY0IETZZOT6znOHcSro71LLTTbzquYPgs%3D",
      "pacFilePort": 8087
    },
    "insights": {
      "isEnabled": true,
      "logAnalyticsResources": {
        "defaultWorkspaceId": {
          "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourcegroups/rg1/providers/microsoft.operationalinsights/workspaces/defaultWorkspace"
        },
        "workspaces": [
          {
            "region": "westus",
            "workspaceId": {
              "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourcegroups/rg1/providers/microsoft.operationalinsights/workspaces/workspace1"
            }
          },
          {
            "region": "eastus",
            "workspaceId": {
              "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourcegroups/rg1/providers/microsoft.operationalinsights/workspaces/workspace2"
            }
          }
        ]
      },
      "retentionDays": 100
    },
    "intrusionDetection": {
      "configuration": {
        "bypassTrafficSettings": [
          {
            "name": "bypassRule1",
            "description": "Rule 1",
            "destinationAddresses": [
              "5.6.7.8"
            ],
            "destinationPorts": [
              "*"
            ],
            "sourceAddresses": [
              "1.2.3.4"
            ],
            "protocol": "TCP"
          }
        ],
        "signatureOverrides": [
          {
            "id": "2525004",
            "mode": "Deny"
          }
        ]
      },
      "mode": "Alert",
      "profile": "Balanced"
    },
    "sku": {
      "tier": "Premium"
    },
    "snat": {
      "privateRanges": [
        "IANAPrivateRanges"
      ]
    },
    "sql": {
      "allowSqlRedirect": true
    },
    "threatIntelMode": "Alert",
    "threatIntelWhitelist": {
      "fqdns": [
        "*.microsoft.com"
      ],
      "ipAddresses": [
        "20.3.4.5"
      ]
    },
    "transportSecurity": {
      "certificateAuthority": {
        "name": "clientcert",
        "keyVaultSecretId": "https://kv/secret"
      }
    }
  },
  "tags": {
    "key1": "value1"
  }
}

Sample response

{
  "name": "firewallPolicy",
  "type": "Microsoft.Network/firewallPolicies",
  "etag": "w/\\00000000-0000-0000-0000-000000000000\\",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/firewallPolicies/firewallPolicy",
  "location": "West US",
  "properties": {
    "dnsSettings": {
      "enableProxy": true,
      "requireProxyForNetworkRules": false,
      "servers": [
        "30.3.4.5"
      ]
    },
    "explicitProxy": {
      "enableExplicitProxy": true,
      "enablePacFile": true,
      "httpPort": 8087,
      "httpsPort": 8087,
      "pacFile": "https://tinawstorage.file.core.windows.net/?sv=2020-02-10&ss=bfqt&srt=sco&sp=rwdlacuptfx&se=2021-06-04T07:01:12Z&st=2021-06-03T23:01:12Z&sip=68.65.171.11&spr=https&sig=Plsa0RRVpGbY0IETZZOT6znOHcSro71LLTTbzquYPgs%3D",
      "pacFilePort": 8087
    },
    "firewalls": [],
    "insights": {
      "isEnabled": true,
      "logAnalyticsResources": {
        "defaultWorkspaceId": {
          "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourcegroups/rg1/providers/microsoft.operationalinsights/workspaces/defaultWorkspace"
        },
        "workspaces": [
          {
            "region": "westus",
            "workspaceId": {
              "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourcegroups/rg1/providers/microsoft.operationalinsights/workspaces/workspace1"
            }
          },
          {
            "region": "eastus",
            "workspaceId": {
              "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourcegroups/rg1/providers/microsoft.operationalinsights/workspaces/workspace2"
            }
          }
        ]
      },
      "retentionDays": 100
    },
    "intrusionDetection": {
      "configuration": {
        "bypassTrafficSettings": [
          {
            "name": "bypassRule1",
            "description": "Rule 1",
            "destinationAddresses": [
              "5.6.7.8"
            ],
            "destinationPorts": [
              "*"
            ],
            "sourceAddresses": [
              "1.2.3.4"
            ],
            "protocol": "TCP"
          }
        ],
        "signatureOverrides": [
          {
            "id": "2525004",
            "mode": "Deny"
          }
        ]
      },
      "mode": "Alert",
      "profile": "Balanced"
    },
    "provisioningState": "Succeeded",
    "ruleCollectionGroups": [
      {
        "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/firewallPolicies/firewallPolicy/ruleCollectionGroups/ruleCollectionGroup1"
      },
      {
        "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/firewallPolicies/firewallPolicy/ruleCollectionGroups/ruleCollectionGroup2"
      }
    ],
    "size": "0.5MB",
    "sku": {
      "tier": "Premium"
    },
    "snat": {
      "privateRanges": [
        "IANAPrivateRanges"
      ]
    },
    "sql": {
      "allowSqlRedirect": true
    },
    "threatIntelMode": "Alert",
    "threatIntelWhitelist": {
      "fqdns": [
        "*.microsoft.com"
      ],
      "ipAddresses": [
        "20.3.4.5"
      ]
    },
    "transportSecurity": {
      "certificateAuthority": {
        "name": "clientcert",
        "keyVaultSecretId": "https://kv/secret"
      }
    }
  },
  "tags": {
    "key1": "value1"
  }
}
{
  "name": "firewallPolicy",
  "type": "Microsoft.Network/firewallPolicies",
  "etag": "w/\\00000000-0000-0000-0000-000000000000\\",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/firewallPolicies/firewallPolicy",
  "location": "West US",
  "properties": {
    "dnsSettings": {
      "enableProxy": true,
      "requireProxyForNetworkRules": false,
      "servers": [
        "30.3.4.5"
      ]
    },
    "explicitProxy": {
      "enableExplicitProxy": true,
      "enablePacFile": true,
      "httpPort": 8087,
      "httpsPort": 8087,
      "pacFile": "https://tinawstorage.file.core.windows.net/?sv=2020-02-10&ss=bfqt&srt=sco&sp=rwdlacuptfx&se=2021-06-04T07:01:12Z&st=2021-06-03T23:01:12Z&sip=68.65.171.11&spr=https&sig=Plsa0RRVpGbY0IETZZOT6znOHcSro71LLTTbzquYPgs%3D",
      "pacFilePort": 8087
    },
    "firewalls": [],
    "insights": {
      "isEnabled": true,
      "logAnalyticsResources": {
        "defaultWorkspaceId": {
          "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourcegroups/rg1/providers/microsoft.operationalinsights/workspaces/defaultWorkspace"
        },
        "workspaces": [
          {
            "region": "westus",
            "workspaceId": {
              "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourcegroups/rg1/providers/microsoft.operationalinsights/workspaces/workspace1"
            }
          },
          {
            "region": "eastus",
            "workspaceId": {
              "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourcegroups/rg1/providers/microsoft.operationalinsights/workspaces/workspace2"
            }
          }
        ]
      },
      "retentionDays": 100
    },
    "intrusionDetection": {
      "configuration": {
        "bypassTrafficSettings": [
          {
            "name": "bypassRule1",
            "description": "Rule 1",
            "destinationAddresses": [
              "5.6.7.8"
            ],
            "destinationPorts": [
              "*"
            ],
            "sourceAddresses": [
              "1.2.3.4"
            ],
            "protocol": "TCP"
          }
        ],
        "signatureOverrides": [
          {
            "id": "2525004",
            "mode": "Deny"
          }
        ]
      },
      "mode": "Alert",
      "profile": "Balanced"
    },
    "provisioningState": "Succeeded",
    "ruleCollectionGroups": [
      {
        "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/firewallPolicies/firewallPolicy/ruleCollectionGroups/ruleCollectionGroup1"
      },
      {
        "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/firewallPolicies/firewallPolicy/ruleCollectionGroups/ruleCollectionGroup2"
      }
    ],
    "size": "0.5MB",
    "sku": {
      "tier": "Premium"
    },
    "snat": {
      "privateRanges": [
        "IANAPrivateRanges"
      ]
    },
    "sql": {
      "allowSqlRedirect": true
    },
    "threatIntelMode": "Alert",
    "threatIntelWhitelist": {
      "fqdns": [
        "*.microsoft.com"
      ],
      "ipAddresses": [
        "20.3.4.5"
      ]
    },
    "transportSecurity": {
      "certificateAuthority": {
        "name": "clientcert",
        "keyVaultSecretId": "https://kv/secret"
      }
    }
  },
  "tags": {
    "key1": "value1"
  }
}

Definitions

Name Description
AutoLearnPrivateRangesMode

The operation mode for automatically learning private ranges to not be SNAT

AzureFirewallThreatIntelMode

The operation mode for Threat Intel.

CloudError

An error response from the service.

CloudErrorBody

An error response from the service.

DnsSettings

DNS Proxy Settings in Firewall Policy.

ExplicitProxy

Explicit Proxy Settings in Firewall Policy.

FirewallPolicy

FirewallPolicy Resource.

FirewallPolicyCertificateAuthority

Trusted Root certificates properties for tls.

FirewallPolicyInsights

Firewall Policy Insights.

FirewallPolicyIntrusionDetection

Configuration for intrusion detection mode and rules.

FirewallPolicyIntrusionDetectionBypassTrafficSpecifications

Intrusion detection bypass traffic specification.

FirewallPolicyIntrusionDetectionConfiguration

The operation for configuring intrusion detection.

FirewallPolicyIntrusionDetectionProfileType

Specifies the Intrusion Detection signature profile to apply.

Values:

  • Off: IDPS profiles disabled; uses the same signature set that existed before profiles.
  • Emerging: Signatures of the newest, most recent threats.
  • Core: Complete, modern, standard set of signatures.
  • Extended: Core signatures plus older legacy signatures for maximum coverage.
FirewallPolicyIntrusionDetectionProtocol

Possible intrusion detection bypass traffic protocols.

FirewallPolicyIntrusionDetectionSignatureSpecification

Intrusion detection signatures specification states.

FirewallPolicyIntrusionDetectionStateType

Possible state values.

FirewallPolicyLogAnalyticsResources

Log Analytics Resources for Firewall Policy Insights.

FirewallPolicyLogAnalyticsWorkspace

Log Analytics Workspace for Firewall Policy Insights.

FirewallPolicySku

SKU of Firewall policy.

FirewallPolicySkuTier

Tier of Firewall Policy.

FirewallPolicySNAT

The private IP addresses/IP ranges to which traffic will not be SNAT.

FirewallPolicySQL

SQL Settings in Firewall Policy.

FirewallPolicyThreatIntelWhitelist

ThreatIntel Whitelist for Firewall Policy.

FirewallPolicyTransportSecurity

Configuration needed to perform TLS termination & initiation.

ManagedServiceIdentity

Identity for the resource.

ManagedServiceIdentityUserAssignedIdentities
ProvisioningState

Provisioning states of a resource.

ResourceIdentityType

The type of identity used for the resource. The type 'SystemAssigned, UserAssigned' includes both an implicitly created identity and a set of user assigned identities. The type 'None' will remove any identities from the virtual machine.

SubResource

Reference to another subresource.

AutoLearnPrivateRangesMode

The operation mode for automatically learning private ranges to not be SNAT

Value Description
Enabled

Enabled

Disabled

Disabled

AzureFirewallThreatIntelMode

The operation mode for Threat Intel.

Value Description
Alert

Alert

Deny

Deny

Off

Off

CloudError

An error response from the service.

Name Type Description
error

CloudErrorBody

Cloud error body.

CloudErrorBody

An error response from the service.

Name Type Description
code

string

An identifier for the error. Codes are invariant and are intended to be consumed programmatically.

details

CloudErrorBody[]

A list of additional details about the error.

message

string

A message describing the error, intended to be suitable for display in a user interface.

target

string

The target of the particular error. For example, the name of the property in error.

DnsSettings

DNS Proxy Settings in Firewall Policy.

Name Type Description
enableProxy

boolean

Enable DNS Proxy on Firewalls attached to the Firewall Policy.

requireProxyForNetworkRules

boolean

FQDNs in Network Rules are supported when set to true.

servers

string[]

List of Custom DNS Servers.

ExplicitProxy

Explicit Proxy Settings in Firewall Policy.

Name Type Description
enableExplicitProxy

boolean

When set to true, explicit proxy mode is enabled.

enablePacFile

boolean

When set to true, pac file port and url needs to be provided.

httpPort

integer (int32)

minimum: 0
maximum: 64000

Port number for explicit proxy http protocol, cannot be greater than 64000.

httpsPort

integer (int32)

minimum: 0
maximum: 64000

Port number for explicit proxy https protocol, cannot be greater than 64000.

pacFile

string

SAS URL for PAC file.

pacFilePort

integer (int32)

minimum: 0
maximum: 64000

Port number for firewall to serve PAC file.

FirewallPolicy

FirewallPolicy Resource.

Name Type Description
etag

string

A unique read-only string that changes whenever the resource is updated.

id

string

Resource ID.

identity

ManagedServiceIdentity

The identity of the firewall policy.

location

string

Resource location.

name

string

Resource name.

properties.basePolicy

SubResource

The parent firewall policy from which rules are inherited.

properties.childPolicies

SubResource[]

List of references to Child Firewall Policies.

properties.dnsSettings

DnsSettings

DNS Proxy Settings definition.

properties.explicitProxy

ExplicitProxy

Explicit Proxy Settings definition.

properties.firewalls

SubResource[]

List of references to Azure Firewalls that this Firewall Policy is associated with.

properties.insights

FirewallPolicyInsights

Insights on Firewall Policy.

properties.intrusionDetection

FirewallPolicyIntrusionDetection

The configuration for Intrusion detection.

properties.provisioningState

ProvisioningState

The provisioning state of the firewall policy resource.

properties.ruleCollectionGroups

SubResource[]

List of references to FirewallPolicyRuleCollectionGroups.

properties.size

string

A read-only string that represents the size of the FirewallPolicyPropertiesFormat in MB. (ex 0.5MB)

properties.sku

FirewallPolicySku

The Firewall Policy SKU.

properties.snat

FirewallPolicySNAT

The private IP addresses/IP ranges to which traffic will not be SNAT.

properties.sql

FirewallPolicySQL

SQL Settings definition.

properties.threatIntelMode

AzureFirewallThreatIntelMode

The operation mode for Threat Intelligence.

properties.threatIntelWhitelist

FirewallPolicyThreatIntelWhitelist

ThreatIntel Whitelist for Firewall Policy.

properties.transportSecurity

FirewallPolicyTransportSecurity

TLS Configuration definition.

tags

object

Resource tags.

type

string

Resource type.

FirewallPolicyCertificateAuthority

Trusted Root certificates properties for tls.

Name Type Description
keyVaultSecretId

string

Secret Id of (base-64 encoded unencrypted pfx) 'Secret' or 'Certificate' object stored in KeyVault.

name

string

Name of the CA certificate.

FirewallPolicyInsights

Firewall Policy Insights.

Name Type Description
isEnabled

boolean

A flag to indicate if the insights are enabled on the policy.

logAnalyticsResources

FirewallPolicyLogAnalyticsResources

Workspaces needed to configure the Firewall Policy Insights.

retentionDays

integer (int32)

Number of days the insights should be enabled on the policy.

FirewallPolicyIntrusionDetection

Configuration for intrusion detection mode and rules.

Name Type Description
configuration

FirewallPolicyIntrusionDetectionConfiguration

Intrusion detection configuration properties.

mode

FirewallPolicyIntrusionDetectionStateType

Intrusion detection general state. When attached to a parent policy, the firewall's effective IDPS mode is the stricter mode of the two.

profile

FirewallPolicyIntrusionDetectionProfileType

IDPS profile name. When attached to a parent policy, the firewall's effective profile is the profile name of the parent policy.

FirewallPolicyIntrusionDetectionBypassTrafficSpecifications

Intrusion detection bypass traffic specification.

Name Type Description
description

string

Description of the bypass traffic rule.

destinationAddresses

string[]

List of destination IP addresses or ranges for this rule.

destinationIpGroups

string[]

List of destination IpGroups for this rule.

destinationPorts

string[]

List of destination ports or ranges.

name

string

Name of the bypass traffic rule.

protocol

FirewallPolicyIntrusionDetectionProtocol

The rule bypass protocol.

sourceAddresses

string[]

List of source IP addresses or ranges for this rule.

sourceIpGroups

string[]

List of source IpGroups for this rule.

FirewallPolicyIntrusionDetectionConfiguration

The operation for configuring intrusion detection.

Name Type Description
bypassTrafficSettings

FirewallPolicyIntrusionDetectionBypassTrafficSpecifications[]

List of rules for traffic to bypass.

privateRanges

string[]

IDPS Private IP address ranges are used to identify traffic direction (i.e. inbound, outbound, etc.). By default, only ranges defined by IANA RFC 1918 are considered private IP addresses. To modify default ranges, specify your Private IP address ranges with this property

signatureOverrides

FirewallPolicyIntrusionDetectionSignatureSpecification[]

List of specific signatures states.

FirewallPolicyIntrusionDetectionProfileType

Specifies the Intrusion Detection signature profile to apply.

Values:

  • Off: IDPS profiles disabled; uses the same signature set that existed before profiles.
  • Emerging: Signatures of the newest, most recent threats.
  • Core: Complete, modern, standard set of signatures.
  • Extended: Core signatures plus older legacy signatures for maximum coverage.
Value Description
Off

Off

Emerging

Emerging

Core

Core

Extended

Extended

FirewallPolicyIntrusionDetectionProtocol

Possible intrusion detection bypass traffic protocols.

Value Description
TCP

TCP

UDP

UDP

ICMP

ICMP

ANY

ANY

FirewallPolicyIntrusionDetectionSignatureSpecification

Intrusion detection signatures specification states.

Name Type Description
id

string

Signature id.

mode

FirewallPolicyIntrusionDetectionStateType

The signature state.

FirewallPolicyIntrusionDetectionStateType

Possible state values.

Value Description
Off

Off

Alert

Alert

Deny

Deny

FirewallPolicyLogAnalyticsResources

Log Analytics Resources for Firewall Policy Insights.

Name Type Description
defaultWorkspaceId

SubResource

The default workspace Id for Firewall Policy Insights.

workspaces

FirewallPolicyLogAnalyticsWorkspace[]

List of workspaces for Firewall Policy Insights.

FirewallPolicyLogAnalyticsWorkspace

Log Analytics Workspace for Firewall Policy Insights.

Name Type Description
region

string

Region to configure the Workspace.

workspaceId

SubResource

The workspace Id for Firewall Policy Insights.

FirewallPolicySku

SKU of Firewall policy.

Name Type Description
tier

FirewallPolicySkuTier

Tier of Firewall Policy.

FirewallPolicySkuTier

Tier of Firewall Policy.

Value Description
Standard

Standard

Premium

Premium

Basic

Basic

FirewallPolicySNAT

The private IP addresses/IP ranges to which traffic will not be SNAT.

Name Type Description
autoLearnPrivateRanges

AutoLearnPrivateRangesMode

The operation mode for automatically learning private ranges to not be SNAT

privateRanges

string[]

List of private IP addresses/IP address ranges to not be SNAT.

FirewallPolicySQL

SQL Settings in Firewall Policy.

Name Type Description
allowSqlRedirect

boolean

A flag to indicate if SQL Redirect traffic filtering is enabled. Turning on the flag requires no rule using port 11000-11999.

FirewallPolicyThreatIntelWhitelist

ThreatIntel Whitelist for Firewall Policy.

Name Type Description
fqdns

string[]

List of FQDNs for the ThreatIntel Whitelist.

ipAddresses

string[]

List of IP addresses for the ThreatIntel Whitelist.

FirewallPolicyTransportSecurity

Configuration needed to perform TLS termination & initiation.

Name Type Description
certificateAuthority

FirewallPolicyCertificateAuthority

The CA used for intermediate CA generation.

ManagedServiceIdentity

Identity for the resource.

Name Type Description
principalId

string

The principal id of the system assigned identity. This property will only be provided for a system assigned identity.

tenantId

string

The tenant id of the system assigned identity. This property will only be provided for a system assigned identity.

type

ResourceIdentityType

The type of identity used for the resource. The type 'SystemAssigned, UserAssigned' includes both an implicitly created identity and a set of user assigned identities. The type 'None' will remove any identities from the virtual machine.

userAssignedIdentities

<string,  ManagedServiceIdentityUserAssignedIdentities>

The list of user identities associated with resource. The user identity dictionary key references will be ARM resource ids in the form: '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName}'.

ManagedServiceIdentityUserAssignedIdentities

Name Type Description
clientId

string

The client id of user assigned identity.

principalId

string

The principal id of user assigned identity.

ProvisioningState

Provisioning states of a resource.

Value Description
Failed

Failed

Succeeded

Succeeded

Canceled

Canceled

Creating

Creating

Updating

Updating

Deleting

Deleting

ResourceIdentityType

The type of identity used for the resource. The type 'SystemAssigned, UserAssigned' includes both an implicitly created identity and a set of user assigned identities. The type 'None' will remove any identities from the virtual machine.

Value Description
SystemAssigned

SystemAssigned

UserAssigned

UserAssigned

SystemAssigned, UserAssigned

SystemAssigned, UserAssigned

None

None

SubResource

Reference to another subresource.

Name Type Description
id

string

Resource ID.